Query Resolved Objects
Retrieves paginated list of objects that were successfully resolved from the CSV data to NSX entities (VMs, segments, etc.) with optional filtering. Note that unresolved ips will always be empty in the response because this API is for resolved objects only.
Notes
- Supported sort_by values: displayName (default), objectType
- Returns 200 on success
Unique identifier of the segmentation session
Query parameters for filtering and pagination
{
"site_ids": [
"123a456b-123c-456d-89ab-cdef12345678"
],
"offset": 0,
"page_size": 1000,
"sort_ascending": false,
"sort_by": "displayName",
"object_type": [
"VIRTUAL_MACHINE"
]
}
The paginated list of assets given the (tag, scope) pair is returned to the user.
{
"offset": 0,
"number_of_results": 3,
"total_result_count": 3,
"total_pages": 1,
"sort_ascending": false,
"sort_by": "displayName",
"result": [
{
"id": "7b3c9e12-a54f-4d8b-91c2-3e4f5a6b7c8d",
"display_name": "win10_vm_2",
"site_id": "123a456b-123c-456d-89ab-cdef12345678",
"object_type": "VIRTUAL_MACHINE"
},
{
"id": "f4e3d2c1-b0a9-4f8e-bd7c-6b5a4321fedc",
"display_name": "win10_vm_1",
"site_id": "123a456b-123c-456d-89ab-cdef12345678",
"object_type": "VIRTUAL_MACHINE"
},
{
"id": "a1b2c3d4-e5f6-4a5b-bcde-f1234567890a",
"display_name": "inc_1_nesx-node0_vm",
"site_id": "123a456b-123c-456d-89ab-cdef12345678",
"object_type": "VIRTUAL_MACHINE"
}
]
}
Bad Request
{
"error_code": 0,
"module_name": "string",
"error_message": "string"
}
HTTP Status or Application error code.
Module where the error happened.
Message describing the error.
Unauthorized
{
"error_code": 0,
"module_name": "string",
"error_message": "string"
}
HTTP Status or Application error code.
Module where the error happened.
Message describing the error.
Forbidden
{
"error_code": 0,
"module_name": "string",
"error_message": "string"
}
HTTP Status or Application error code.
Module where the error happened.
Message describing the error.
Precondition Failed
{
"error_code": 0,
"module_name": "string",
"error_message": "string"
}
HTTP Status or Application error code.
Module where the error happened.
Message describing the error.
Precondition Required
{
"error_code": 0,
"module_name": "string",
"error_message": "string"
}
HTTP Status or Application error code.
Module where the error happened.
Message describing the error.
Too Many Requests
{
"error_code": 0,
"module_name": "string",
"error_message": "string"
}
HTTP Status or Application error code.
Module where the error happened.
Message describing the error.
Unexpected error
{
"error_code": 0,
"module_name": "string",
"error_message": "string"
}
HTTP Status or Application error code.
Module where the error happened.
Message describing the error.
curl -X POST -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{}' https://{api_host}/ssp/segmentation/{session-id}/results/resolved-objects